import * as React from "react"
import * as ProgressPrimitive from "@radix-ui/react-progress"

import { cn } from "@/lib/utils"

const Progress = React.forwardRef(({ className, value, ...props }, ref) => (
  <ProgressPrimitive.Root
    ref={ref}
    className={cn(
      "relative h-3 w-full overflow-hidden rounded-full bg-zinc-900/20 dark:bg-zinc-50/20",
      className
    )}
    {...props}>
    <ProgressPrimitive.Indicator
       className={`h-full w-full flex-1 transition-all ${
        value < 40 ? 'bg-[#FDAB74]' : 'bg-[#82EE7B]'
      } dark:bg-zinc-50`}
      style={{ transform: `translateX(-${100 - (value || 0)}%)` }} />
  </ProgressPrimitive.Root>
))
Progress.displayName = ProgressPrimitive.Root.displayName

export { Progress }
